package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class StudentRegisterInstrumentsDetailDto {

	@ApiModelProperty(value = "学生编号", required = false)
	private Integer userId;

	@ApiModelProperty(value = "学生姓名", required = false)
	private String name;

	@ApiModelProperty(value = "学生手机号码", required = false)
	private String phone;

	@ApiModelProperty(value = "性别（0，女  1，男", required = false)
	private Integer gender;

	@ApiModelProperty(value = "当前所在年级", required = false)
	private Integer currentGradeNum;

	@ApiModelProperty(value = "当前所在年级", required = false)
	private String currentGrade;

	@ApiModelProperty(value = "实际科目", required = false)
	private Integer actualSubjectId;

	@ApiModelProperty(value = "实际科目名称", required = false)
	private String subjectName;

	@ApiModelProperty(value = "乐器名称")
	private String goodsName;

	@ApiModelProperty(value = "乐器品牌")
	private String goodsBrand;

	@ApiModelProperty(value = "乐器规格")
	private String specification;

	private Date goodsBuyTime;

	@ApiModelProperty(value = "乐保开始时间")
	private Date insuranceStartTime;

	@ApiModelProperty(value = "乐保结束时间")
	private Date insuranceEndTime;

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getGender() {
		return gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public Integer getCurrentGradeNum() {
		return currentGradeNum;
	}

	public void setCurrentGradeNum(Integer currentGradeNum) {
		this.currentGradeNum = currentGradeNum;
	}

	public String getCurrentGrade() {
		return currentGrade;
	}

	public void setCurrentGrade(String currentGrade) {
		this.currentGrade = currentGrade;
	}

	public Integer getActualSubjectId() {
		return actualSubjectId;
	}

	public void setActualSubjectId(Integer actualSubjectId) {
		this.actualSubjectId = actualSubjectId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getGoodsName() {
		return goodsName;
	}

	public void setGoodsName(String goodsName) {
		this.goodsName = goodsName;
	}

	public String getGoodsBrand() {
		return goodsBrand;
	}

	public void setGoodsBrand(String goodsBrand) {
		this.goodsBrand = goodsBrand;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public Date getGoodsBuyTime() {
		return goodsBuyTime;
	}

	public void setGoodsBuyTime(Date goodsBuyTime) {
		this.goodsBuyTime = goodsBuyTime;
	}

	public Date getInsuranceStartTime() {
		return insuranceStartTime;
	}

	public void setInsuranceStartTime(Date insuranceStartTime) {
		this.insuranceStartTime = insuranceStartTime;
	}

	public Date getInsuranceEndTime() {
		return insuranceEndTime;
	}

	public void setInsuranceEndTime(Date insuranceEndTime) {
		this.insuranceEndTime = insuranceEndTime;
	}
}
